Subject: [Supa] Fwd: Network Topology Data Model and Network Configration Data Model

From: Tina TSOU <[email-masked]>
Date: Thu, 13 Nov 2014 16:20:45 +0000

Begin forwarded message:

From: 程伟强 <[email-masked]<mailto:[email-masked]>>
Date: November 12, 2014 at 2:13:37 PM HST
To: 'Tina TSOU' <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Supa] Network Topology Data Model and Network Configration Data Model

Hi Tina,
I had a quick review of the drafts.
I think it is useful and It is necessary to develop the topology model here.

B.R.
Weiqiang Cheng

-------------------------------------------------------------------------------------------
Dear all,

As time not allowed, these are the slides for agenda item: Network Topology Data Model and Network Configration Data Model, which I received.

o) Detailed YANG models - topology, configuration (if we have time)
- Andrew Qu, Adel Zaalouk
draft-contreras-supa-yang-network-topo-01<http://datatracker.ietf.org/doc/draft-contreras-supa-yang-network-topo/>
draft-zaalouk-supa-configuration-model-01<http://datatracker.ietf.org/doc/draft-zaalouk-supa-configuration-model/>

And below is the discussion minutes on Sunday afternoon Yang Advice and Editing Session.

Balazs Lengyel,<mailto:Lengyel@ericsson> Ericsson, Bert Wijnen, Nlnet, et al

Motivation:

Similar to draft-shaikh-idr-bgp-model-00<http://datatracker.ietf.org/doc/draft-shaikh-idr-bgp-model/>

Suggestions:

1. Don't use layer number. Prepare the different layer relationship. Change physical to copper or optical
2. Description of container extnodes need to be better. Write more for reasonable.
3. Reference to describes the higher and lower relationship.
4. Status need to include those status from lower layers.
5. Multi-control through different controller to the same YANG model. How to handle this?
6. adminStatus and operStatus should use the common Yang type? Don't have it now YANG common type rfc (rfc6991).
7. Define the same type and refer it multiple times at least in the same draft. Don't define it many times with similar definition.
8. Similar definitions can be defined as groups.
9. There is one guide as rfc6887.
10.ID should use the YANG type UUID.
11.rfc7224, interface-type should be referred.
12.rfc6087 defaults. Check the "config" meanings.
13.Kbps already has the unit statements in RFC6020.

Thank you,
Tina

Attachment: SUPA Network Topology.pptx<http://www.ietf.org/mail-archive/web/supa/current/bint3ycwURmSS.bin>
Description: SUPA Network Topology.pptx

Attachment: draft-zaalouk-supa-configuration-model-01.pptx<http://www.ietf.org/mail-archive/web/supa/current/binWrr_BNtr56.bin>
Description: draft-zaalouk-supa-configuration-model-01.pptx

Best Regards,

Weiqiang Cheng
Research Institute of China Mobile
Department of Network Technology
e-mail:[email-masked]<http://chinamobile.com>
mobile: +86 138 1001 9089